i2c i2c-1: sendbytes: NAK bailout.

Bug #1675540 reported by beadon on 2017-03-23
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

This bug still exists and looks like it was identified as part of the Nouveau video driver, experienced now with Ubuntu 16.10.

Timed out (original?) bug thread:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1015165

Trackback on forums with no clear resolution:
https://ubuntuforums.org/showthread.php?t=2074280

Details:

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.10
Release: 16.10
Codename: yakkety

$ lsmod | grep 'i2c'
i2c_piix4 24576 0
i2c_algo_bit 16384 1 nouveau
support@apollo:~$ lsmod | grep 'nouveau'
nouveau 1572864 1
mxm_wmi 16384 1 nouveau
video 40960 1 nouveau
i2c_algo_bit 16384 1 nouveau
ttm 102400 1 nouveau
drm_kms_helper 167936 1 nouveau
drm 368640 4 nouveau,ttm,drm_kms_helper
wmi 16384 2 mxm_wmi,nouveau

$ uname -a
Linux apollo 4.8.0-40-generic #43-Ubuntu SMP Thu Feb 23 16:01:19 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

$ lspci | grep -i 'nvidia'
01:00.0 VGA compatible controller: NVIDIA Corporation G92 [GeForce GTS 250] (rev a2)

dmesg spam :

[74243.701317] Raw EDID:
[74243.702234] 78 ee c1 25 a3 56 4b 99 27 11 50 54 bf ef 80 95
[74243.703153] 00 71 4f 81 80 95 0f 01 01 01 01 01 01 01 01 9a
[74243.704050] 29 a0 d0 51 84 22 30 50 98 36 00 98 ff 10 00 00
[74243.704925] 1c 00 00 00 fd 00 38 4b 1e 53 0e 00 0a 20 20 20
[74243.705816] 20 20 20 00 00 00 ff 00 37 33 37 33 31 38 33 49
[74243.706732] 32 38 57 53 01 00 00 00 fc 00 44 45 4c 4c 20 45
[74243.707617] 31 39 38 57 46 50 0a 00 3a ff ff ff ff ff ff ff
[74243.708508] ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[74243.999965] i2c i2c-1: sendbytes: NAK bailout.
[74246.557345] i2c i2c-1: sendbytes: NAK bailout.
[74246.843767] i2c i2c-1: sendbytes: NAK bailout.
[74247.128195] i2c i2c-1: sendbytes: NAK bailout.
[74249.366638] i2c i2c-1: sendbytes: NAK bailout.
[74250.883810] i2c i2c-1: sendbytes: NAK bailout.
[74251.295261] i2c i2c-1: sendbytes: NAK bailout.
[74252.939101] i2c i2c-1: sendbytes: NAK bailout.
[74254.200165] i2c i2c-1: sendbytes: NAK bailout.
[74254.885717] i2c i2c-1: readbytes: ack/nak timeout
[74255.169703] i2c i2c-1: readbytes: ack/nak timeout
[74255.737676] i2c i2c-1: readbytes: ack/nak timeout
[74257.450821] i2c i2c-1: sendbytes: NAK bailout.

No packages :
$ dpkg --list | grep -i 'nvidia'
$ dpkg --list | grep -i 'nouveau'
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version k4.8.0-41-generic.
AplayDevices: Error: [Errno 2] No such file or directory
ApportVersion: 2.20.3-0ubuntu8.2
Architecture: amd64
ArecordDevices: Error: [Errno 2] No such file or directory
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/by-path', '/dev/snd/hwC0D0', '/dev/snd/pcmC0D2c', '/dev/snd/pcmC0D1p', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/controlC0', '/dev/snd/midiC1D0', '/dev/snd/pcmC1D3c', '/dev/snd/pcmC1D3p', '/dev/snd/pcmC1D2c', '/dev/snd/pcmC1D2p', '/dev/snd/pcmC1D1c', '/dev/snd/pcmC1D1p', '/dev/snd/pcmC1D0c', '/dev/snd/pcmC1D0p', '/dev/snd/controlC1', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
Card0.Amixer.info: Error: [Errno 2] No such file or directory
Card0.Amixer.values: Error: [Errno 2] No such file or directory
Card1.Amixer.info: Error: [Errno 2] No such file or directory
Card1.Amixer.values: Error: [Errno 2] No such file or directory
DistroRelease: Ubuntu 16.10
HibernationDevice: RESUME=/dev/mapper/mike--ubuntu--vg-swap_1
InstallationDate: Installed on 2017-03-01 (24 days ago)
InstallationMedia: Ubuntu-Server 16.10 "Yakkety Yak" - Release amd64 (20161012.1)
IwConfig: Error: [Errno 2] No such file or directory
MachineType: ECS A780GM-A Ultra
Package: linux (not installed)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 nouveaufb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.8.0-41-generic root=/dev/mapper/mike--ubuntu--vg-root ro
ProcVersionSignature: Ubuntu 4.8.0-41.44-generic 4.8.17
RelatedPackageVersions:
 linux-restricted-modules-4.8.0-41-generic N/A
 linux-backports-modules-4.8.0-41-generic N/A
 linux-firmware 1.161.1
RfKill: Error: [Errno 2] No such file or directory
Tags: yakkety
Uname: Linux 4.8.0-41-generic x86_64
UnreportableReason: The report belongs to a package that is not installed.
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

_MarkForUpload: False
dmi.bios.date: 04/16/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 080015
dmi.board.name: A780GM-A Ultra
dmi.board.vendor: ECS
dmi.board.version: 1.0
dmi.chassis.type: 3
dmi.chassis.vendor: ECS
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr080015:bd04/16/2009:svnECS:pnA780GM-AUltra:pvr1.0:rvnECS:rnA780GM-AUltra:rvr1.0:cvnECS:ct3:cvr:
dmi.product.name: A780GM-A Ultra
dmi.product.version: 1.0
dmi.sys.vendor: ECS

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1675540

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected yakkety
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

beadon (bryant-eadon) wrote :

Attached.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
beadon (bryant-eadon) wrote :

Oops, I moved this to confirmed. Please adjust the status accordingly.

Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.11 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.11-rc4

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Serhiy Zahoriya (xintx-ua) wrote :

I'm getting this on a 14.04 production server without nouveau and X. Can't test newer kernel since it's a production server. It started happening after upgrade from 3.13.something to 4.4.0-112.

dev/null (fjhita) wrote :

This is also happening in 17.10 and 18.04.
In my case:

$lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04 LTS
Release: 18.04
Codename: bionic

$ uname -a
Linux devnull-MacBookAir 4.15.0-23-lowlatency #25-Ubuntu SMP PREEMPT Wed May 23 19:21:09 UTC 2018 i686 i686 i686 GNU/Linux

$ dmesg | grep 'i2c'
[ 3.374606] i2c /dev entries driver
[ 14.436022] i2c i2c-1: sendbytes: error -110

$ lsmod | grep 'i2c'
i2c_algo_bit 16384 1 i915

obviously intel driver:

$ lsmod | grep 'i915'
i915 1282048 2
i2c_algo_bit 16384 1 i915
drm_kms_helper 151552 1 i915
drm 339968 4 i915,drm_kms_helper
video 40960 1 i915

May be, it has to do with the "video=SVIDEO-1:d" grub option I had to put because my old companion has no vga port and some very disgusting issues appear otherwise.

Is this helpful at all?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers